### Method

# Gdk Toplevelset_transient_for

#### Declaration [src]

    void
    gdk_toplevel_set_transient_for (
      GdkToplevel* toplevel,
      GdkSurface* parent
    )

#### Description [src]

Sets a transient-for parent.

Indicates to the window manager that `surface` is a transient dialog associated with the application surface `parent`. This allows the window manager to do things like center `surface` on `parent` and keep `surface` above `parent`.

See gtk_window_set_transient_for() if you’re using GtkWindow.

Sets property | `Gdk.Toplevel:transient-for`

#### Parameters

`parent`

  Type: `GdkSurface`

  Another toplevel `GdkSurface`

  The data is owned by the caller of the method.